function BrowserSize() {
	if( typeof( window.innerWidth ) == 'number' ) {
			//Non-IE
			this.width = window.innerWidth;
			this.height = window.innerHeight;
	} else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
			//IE 6+ in 'standards compliant mode'
			this.width = document.documentElement.clientWidth;
			this.height = document.documentElement.clientHeight;
	} else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
			//IE 4 compatible
			this.width = document.body.clientWidth;
			this.height = document.body.clientHeight;
	}
	this.noOverflowWidth = this.width - 4;
	this.noOverflowHeight = this.height - 8;
}
	BrowserSize.prototype.width;
	BrowserSize.prototype.noOverflowWidth;
	BrowserSize.prototype.height;
	BrowserSize.prototype.noOverflowHeight;

var canvas = null;
var container = null;
var browserSize = new BrowserSize();